Last Comment Bug 1117540 - useDefault not correctly set if there are no default alarms
: useDefault not correctly set if there are no default alarms
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 1117541
  Show dependency treegraph
 
Reported: 2015-01-04 08:20 PST by Philipp Kewisch [:Fallen]
Modified: 2015-01-22 16:44 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (5.06 KB, patch)
2015-01-04 08:21 PST, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
Details | Diff | Splinter Review
Fix - v2 (5.06 KB, patch)
2015-01-18 12:31 PST, Philipp Kewisch [:Fallen]
philipp: review+
mohit.kanwal: feedback+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-01-04 08:20:18 PST
1) Remove all default alarms from Google Calendar web interface
2) Set up calendar in Lightning
3) Create an event and set reminders to "Default"

Result:
* useDefault: false is sent to the server

Expected:
* useDefault: true should be sent to the server
Comment 1 User image Philipp Kewisch [:Fallen] 2015-01-04 08:21:23 PST
Created attachment 8543661 [details] [diff] [review]
Fix - v1
Comment 2 User image Mohit Kanwal [:redDragon] 2015-01-04 21:17:26 PST
Comment on attachment 8543661 [details] [diff] [review]
Fix - v1

Review of attachment 8543661 [details] [diff] [review]:
-----------------------------------------------------------------

Looks fine with the exception of what I think maybe a typo?

::: calendar/providers/gdata/modules/gdataUtils.jsm
@@ +698,3 @@
>  
> +                if (aDefaultReminders.length) {
> +                    item.deleteProperty("X-DEFAULT_ALARM");

Is this a typo? "X-DEFAULT-ALARM"
Comment 3 User image Philipp Kewisch [:Fallen] 2015-01-18 12:31:50 PST
Created attachment 8550968 [details] [diff] [review]
Fix - v2

Great catch, thanks!
Comment 4 User image Philipp Kewisch [:Fallen] 2015-01-22 16:44:54 PST
Pushed to comm-central changeset ff705d73c703

Note You need to log in before you can comment on or make changes to this bug.